Panduan pembalasan.id
Reports

Account Reporting Events

GET
/api/v1/accounts/{account_id}/reporting_events

Get paginated reporting events for the account. This endpoint returns reporting events such as first response time, resolution time, and other metrics. Only administrators can access this endpoint. Results are paginated with 25 items per page.

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

page?integer

The page parameter

since?string

The timestamp from where events should start (Unix timestamp in seconds)

until?string

The timestamp from where events should stop (Unix timestamp in seconds)

inbox_id?number

Filter events by inbox ID

user_id?number

Filter events by user/agent ID

name?string

Filter events by event name (e.g., first_response, resolution, reply_time)

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/accounts/0/reporting_events"
{
  "meta": {
    "count": 0,
    "current_page": 0,
    "total_pages": 0
  },
  "payload": [
    {
      "id": 0,
      "name": "string",
      "value": 0.1,
      "value_in_business_hours": 0.1,
      "event_start_time": "2019-08-24T14:15:22Z",
      "event_end_time": "2019-08-24T14:15:22Z",
      "account_id": 0,
      "conversation_id": 0,
      "inbox_id": 0,
      "user_id": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}